WSDiscovery11::Types::ResolveMatchesType(3)

NAME
WSDiscovery::Types::ResolveMatchesType

DESCRIPTION
Perl data type class for the XML Schema defined complexType ResolveMatchesType from the namespace http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ResolveMatch

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # WSDiscovery::Types::ResolveMatchesType
   ResolveMatch =>  { # WSDiscovery::Types::ResolveMatchType
     EndpointReference =>  { # WSDiscovery::Types::EndpointReferenceType
       Address =>  { value => $some_value },
       ReferenceParameters =>  { # WSDiscovery::Types::ReferenceParametersType
       },
       Metadata =>  { # WSDiscovery::Types::MetadataType
       },
     },
     Types => $some_value, # QNameListType
     Scopes =>  { value => $some_value },
     XAddrs => $some_value, # UriListType
     MetadataVersion =>  $some_value, # unsignedInt
   },
 },

AUTHOR
Generated by SOAP::WSDL